curl --request GET \
--url https://api.bedrock.cv/sheets/{sheet_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "sht_01JABCD123",
"drawing_id": "drw_01JABCD123",
"index": 0,
"uri": "gs://bedrock-files/projects/prj_01JABCD123/sheets/sht_01JABCD123.png",
"sheet_number": "A101",
"title": "First Floor Plan",
"discipline": "Architectural",
"metadata": {
"scale": "1/4\" = 1'0\"",
"revision": "C"
},
"created_at": "2024-06-16T14:05:00Z",
"updated_at": "2024-06-16T14:05:00Z"
}
}Retrieve details for a specific sheet.
curl --request GET \
--url https://api.bedrock.cv/sheets/{sheet_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "sht_01JABCD123",
"drawing_id": "drw_01JABCD123",
"index": 0,
"uri": "gs://bedrock-files/projects/prj_01JABCD123/sheets/sht_01JABCD123.png",
"sheet_number": "A101",
"title": "First Floor Plan",
"discipline": "Architectural",
"metadata": {
"scale": "1/4\" = 1'0\"",
"revision": "C"
},
"created_at": "2024-06-16T14:05:00Z",
"updated_at": "2024-06-16T14:05:00Z"
}
}GET /blocks?sheet_id={id} to retrieve the blocks detected on this sheet.API key prefixed with sk_. Example: Authorization: Bearer sk_xxx
API version
Sheet ID
Success
Show child attributes
{
"id": "sht_01JABCD123",
"drawing_id": "drw_01JABCD123",
"index": 0,
"uri": "gs://bedrock-files/projects/prj_01JABCD123/sheets/sht_01JABCD123.png",
"sheet_number": "A101",
"title": "First Floor Plan",
"discipline": "Architectural",
"metadata": { "scale": "1/4\" = 1'0\"", "revision": "C" },
"created_at": "2024-06-16T14:05:00Z",
"updated_at": "2024-06-16T14:05:00Z"
}